Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006476 [DCSS] Bug Report text have not tried 2012-12-27 15:47 2014-03-28 01:12
Reporter josh View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006476: Singing Sword messages with missing @variables@
Description The Screaming Sword cautions, "Never send @a_player_genus@ to do a blade's job!"
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0007839new Angels worshipping non-good gods can use good god-specific speech 
has duplicate 0006610closedneil screaming sword text error 
has duplicate 0008094resolvedMarvinPA Red draconian referred to as '@player_genus_plural@' by Singing Sword 

-  Notes
(0020684)
KiloByte (manager)
2012-12-27 18:07

Actually, most @variables@ are undefined. @player_genus_plural@, etc.
(0025741)
MarvinPA (developer)
2014-03-28 01:12

Fixed (but they're duplicated from do_mon_str_replacements() and probably should be handled in a better way).

- Issue History
Date Modified Username Field Change
2012-12-27 15:47 josh New Issue
2012-12-27 18:07 KiloByte Note Added: 0020684
2013-02-08 08:57 neil Relationship added has duplicate 0006610
2014-03-27 06:03 MarvinPA Relationship added related to 0008094
2014-03-27 20:00 MarvinPA Relationship deleted related to 0008094
2014-03-27 20:00 MarvinPA Relationship added has duplicate 0008094
2014-03-27 20:01 MarvinPA Summary Screaming Sword message has @a_player_genus@ placeholder => Singing Sword messages with missing @variables@
2014-03-27 20:03 MarvinPA Relationship added related to 0007839
2014-03-28 01:12 MarvinPA Note Added: 0025741
2014-03-28 01:12 MarvinPA Status new => resolved
2014-03-28 01:12 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-28 01:12 MarvinPA Resolution open => done
2014-03-28 01:12 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker